List all invites
curl --request GET \
--url https://api-sandbox.argyle.com/v2/invites \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/v2/invites"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/v2/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api-sandbox.argyle.com/v2/invites?cursor=ZXhhbXBsZV9jdXJzb3I",
"previous": null,
"results": [
{
"id": "0424137bc-edc5-35de-c1b5-1c3cddb4b227",
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"user_token": null,
"email": "sarah@email.com",
"phone_number": "212-555-5555",
"full_name": "Sarah Longfield",
"first_name": "Sarah",
"last_name": "Longfield",
"revoked_at": null,
"status": "completed",
"group_id": "d8a07e5b-13a3-11ef-af7e-c7eb00762562",
"url": "https://verify.argyle.com/connect/0424137bc-edc5-35de-c1b5-1c3cddb4b227",
"created_at": "2023-03-09T23:57:05.756Z",
"updated_at": "2023-03-09T23:57:05.756Z",
"invited_at": "2023-03-09T23:57:05.756Z",
"flow_id": "8DRRA4XC",
"flow_items": [
"item_000000001",
"item_000000002"
],
"reply_to": [
"person1@email.com",
"person2@email.com"
],
"deliveries": [
{
"id": "d7c85e44-9729-11f0-b297-f3718e19503e",
"method": "email",
"status": "opened",
"sent_at": "2023-03-09T23:57:24.000Z",
"updated_at": "2023-03-09T23:57:24.000Z"
}
],
"invite_template_id": null
},
{
"id": "0186c5b8-8fa1-67b3-39af-14b3e18da8a7",
"user": "f3041cb5-bf31-21cb-aa05-df294c161fd9",
"user_token": null,
"email": "bob@email.com",
"phone_number": "212-867-5309",
"full_name": "Bob Jones",
"first_name": "Bob",
"last_name": "Jones",
"revoked_at": null,
"status": "initiated",
"group_id": null,
"url": "https://verify.argyle.com/connect/f3041cb5-bf31-21cb-aa05-df294c161fd9",
"created_at": "2023-03-10T01:22:36.432Z",
"updated_at": "2023-03-10T01:22:36.432Z",
"invited_at": "2023-03-10T01:22:36.432Z",
"flow_id": "R23CELUZ",
"flow_items": [],
"reply_to": [],
"deliveries": [
{
"id": "d7c85e44-9729-11f0-b297-f3718e19503e",
"method": "email",
"status": "opened",
"sent_at": "2023-03-10T01:22:37.432Z",
"updated_at": "2023-03-12T01:22:37.432Z"
}
],
"invite_template_id": null
}
]
}Invites
List All Invites
Returns an object containing all invite objects.
GET
/
v2
/
invites
List all invites
Authorizations
Username = api_key_id, Password = api_key_secret
Query Parameters
⌘I